levelshots/UJE_paris_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_paris_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_paris_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_paris_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}

//UJE_sky
textures/UJE_paris/ujesky
{
  nocompress
  qer_editorimage textures/UJE_paris/sky/sky_ft.tga
  q3map_globaltexture
  q3map_lightimage textures/skies/n_blue2.tga
  q3map_sunExt 0.99 0.53 0.16 150 180 20 2 20
  q3map_nofog
  //q3map_lightsubdivide 256 
  q3map_lightmapFilterRadius 0 15 
  q3map_skyLight 60 3 
  skyparms textures/UJE_paris/sky/sky 512 -
  surfaceparm noimpact
  surfaceparm nomarks
  surfaceparm nolightmap
}
textures/UJE_paris/uje_camsurface
{
	qer_editorimage textures/UJE_paris/uje_black.tga
	q3map_surfacelight 100
	surfaceparm playerclip
	surfaceparm nolightmap
	sort portal
	{
		map textures/UJE_paris/uje_black.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen portal 192
		depthWrite
        }
	{
		map textures/UJE_paris/uje_blingbling.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		alphaGen const 0.3
		tcGen environment
	}
}
textures/UJE_paris/river_m01
{
	nocompress
	qer_editorimage textures/UJE_paris/ocean_m1b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nofog
	waterfogvars ( 0.1 0.1 0.1 ) 300

	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/UJE_paris/lake_m1.tga
		rgbgen identity
		tcmod scale .4 .3
		tcmod scroll .0075 -.0025
		tcmod stretch sin 1 .005 0 .06
	}
	{ 
		fog on    // added fog layer, not sure why it was disabled/missing - Wils
		map textures/UJE_paris/river_m2_darker.tga    // less obvious moss thing - Wils
		blendFunc GL_dst_color GL_one
		rgbgen identity		
		tcmod scale -.12 .2
	}
}
textures/UJE_paris/water_base
{
	nocompress
	qer_editorimage textures/UJE_paris/c1_128.tga
	qer_trans .40
	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter //zichtbare  texture tint op ondergrond  vanuit onder water
//	surfaceparm pointlight
}
textures/UJE_paris/uje_water
{
	q3map_baseshader textures/UJE_paris/water_base
	qer_editorimage textures/UJE_paris/c1_128.tga
	cull none
	tessSize 512
	deformVertexes wave 224 sin 0 3 0.5 0.23

	{
		animMap 9 textures/UJE_paris/c1_128.tga textures/UJE_paris/c2_128.tga textures/UJE_paris/c3_128.tga textures/UJE_paris/c4_128.tga textures/UJE_paris/c5_128.tga textures/UJE_paris/c6_128.tga textures/UJE_paris/c7_128.tga textures/UJE_paris/c8_128.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.25
		rgbGen vertex
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.1 0.3 0.25
		tcmod scroll 0.004 0.003
	}
	{ 
		map textures/UJE_paris/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 0.85 //0.56
		depthWrite
	}
	{
		map textures/UJE_paris/uje_env.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.05
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
textures/UJE_paris/waterval1
{
	qer_editorimage textures/UJE_paris/water04.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_paris/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
}
textures/UJE_paris/waterval2
{
	qer_editorimage textures/UJE_paris/water04.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_paris/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 1.5
		alphaGen Vertex
	}
}

textures/UJE_paris/uje_bording
{
	
	qer_trans 0.85
	
	qer_editorimage textures/UJE_paris/bording.tga
	
	cull disable
	
	sort 6
	
	nomipmaps
	
	nopicmip
	
	surfaceparm nomarks
	
	surfaceparm alphashadow
	
	surfaceparm pointlight
	
	surfaceparm trans
	
	surfaceparm nonsolid

	
	implicitMask textures/UJE_paris/bording.tga

}


textures/UJE_paris/uje_plant2
	
{
	
	qer_trans 0.85
	
	qer_editorimage textures/UJE_paris/plant2.tga	
	cull disable
	
	sort 6
	nomipmaps
	
	nopicmip
	
	surfaceparm nomarks
	
	surfaceparm alphashadow
	
	surfaceparm pointlight
	
	surfaceparm trans
	
	surfaceparm nonsolid

	
	implicitMask textures/UJE_paris/plant2.tga
}


textures/UJE_paris/uje_bloem1
{
	qer_editorimage textures/UJE_paris/bloem1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_paris/bloem1.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_paris/uje_bloem2
{
	qer_editorimage textures/UJE_paris/bloem2.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_paris/bloem2.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_paris/uje_bloem3
{
	qer_editorimage textures/UJE_paris/bloem3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_paris/bloem3.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_paris/uje_klok
{
	qer_editorimage textures/UJE_paris/uurwerk.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_paris/uurwerk.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
textures/UJE_paris/uje_secret
{
	qer_editorimage textures/UJE_paris/secret.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_paris/secret.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_paris/metal2
{
	surfaceparm metalsteps
	{
		map textures/UJE_paris/uje_env.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/UJE_paris/metal2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_paris/building1
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building2
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building3
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building4
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building5
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building6
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building7
{
	q3map_bounceScale 2.0
	implicitMap -
}
textures/UJE_paris/building8
{
	q3map_bounceScale 2.0
	implicitMap -
}
///Terrein

textures/UJE_paris/terrain_grass
{
      qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		map textures/temperate_sd/grass_dense1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_paris/terrain_gravel
{
      qer_editorimage textures/temperate_sd/road_puddle1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		map textures/temperate_sd/road_puddle1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_paris/uje_muurplant
{
        qer_editorimage textures/UJE_paris/muurplant.tga
    	surfaceparm trans
	surfaceparm alphashadow
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/UJE_paris/muurplant.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/UJE_paris/uje_hotlava
{
	
	qer_editorimage textures/UJE_paris/hotlava2.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/UJE_paris/hotmatsch.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/UJE_paris/hotlava2.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/UJE_paris/uje_tuinhout
{
        qer_editorimage textures/UJE_paris/tuinhout.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/UJE_paris/tuinhout.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
} 
//models
models/mapobjects/br_lanterns/br_lantern2
{
	qer_editorimage models/mapobjects/br_lanterns/br_lantern2.jpg
	q3map_lightimage models/mapobjects/br_lanterns/br_lantern2_blend.jpg
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/br_lanterns/br_lantern2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/br_lanterns/br_lantern2_blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}
models/mapobjects/br_lanterns/br_lantern1
{
	qer_editorimage models/mapobjects/br_lanterns/br_lantern1.jpg
	q3map_lightimage models/mapobjects/br_lanterns/br_lantern1_blend.jpg
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/br_lanterns/br_lantern1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/br_lanterns/br_lantern1_blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/nmtrees/AlderBranches
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/conife_tree/branch
{
	nopicmip
	qer_alphafunc greater 0.65
	qer_editorimage models/conife_tree/branch.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	q3map_alphaGen const 0.65
	implicitMask -
}
models/conife_tree/trunk
{
	q3map_shadeangle 120 
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	qer_editorimage models/conife_tree/trunk.tga
	implicitmask -
}
models/mapobjects/gtp/plant1
{	
    	cull none
    	nopicmip
    	surfaceparm pointlight
	{
		map models/mapobjects/gtp/plant1.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/br_ship/br_sail1
{
	qer_editorimage models/mapobjects/br_ship/br_sail1.jpg
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/mapobjects/br_ship/br_sail
{
	qer_editorimage models/mapobjects/br_ship/br_sail.jpg
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/mapobjects/br_ship/br_flag1
{
	qer_editorimage models/mapobjects/br_ship/br_flag1.tga
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/mapobjects/praetoria/airplanes/propeller
{
	cull none
	{
		clampmap models/mapobjects/praetoria/airplanes/propeller.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod rotate 200
	}
}
models/mapobjects/br_flowers/green_2
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_2.tga
}
models/mapobjects/br_flowers/dafa1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/dafa1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/dafa1.tga
}
models/mapobjects/converted/glass
{

    {
     map models/mapobjects/converted/glass.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}
models/mapobjects/converted/horch_853_1
{
	cull disable
    {
     map models/mapobjects/converted/horch_853_1.tga
     rgbGen vertex
    }
}

models/mapobjects/converted/horch_853_2
{
	cull disable
    {
     map models/mapobjects/converted/horch_853_2.tga
     rgbGen vertex
    }
}

models/mapobjects/converted/horch_853_alfa
{
	cull disable
    {
     map models/mapobjects/converted/horch_853_alfa.tga
     alphaFunc GE128
     rgbGen vertex
    }
}

models/mapobjects/converted/horch_853_glass
{
	qer_editorimage textures/common/dirtymirror2.tga
	cull disable		
	surfaceparm alphashadow
	surfaceparm trans
//	cull none
	qer_trans 	0.5
	surfaceparm trans

	{
		map textures/common/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}
models/mapobjects/converted/horch_853_rot
{
	cull disable
    {
     map models/mapobjects/converted/horch_853_rot.tga
     rgbGen vertex
    }
}
